# 1Password

### Overview

The Veza integration for 1Password enables the discovery of users and groups managed by SCIM for 1Password. Veza uses 1Password's SCIM Bridge API to populate the Access Graph with user and group information.

This document explains how to add a 1Password integration to collect user and group information. It assumes that an existing SCIM Bridge is available for configuring the connection in Veza.

**Note:** Not all groups in 1Password are discovered by the connector. This connector only shows information that is part of the 1Password SCIM Bridge. 1Password SCIM Bridge must be enabled for this connector to work.

To verify the groups Veza can access:

1. Login to 1Password Web.
2. Go to `Integrations` in the right sidebar.
3. Click the `Automated User Provisioning` tile.
4. Click `Manage` next to `Manage Groups`.

#### Collected Entities and Properties

ID and Name are collected for both users and groups.

| **Entity** | **Property**   | **Description**               |
| ---------- | -------------- | ----------------------------- |
| User       | `email`        | User email                    |
| User       | `display_name` | Display name of the user      |
| User       | `user_name`    | User name                     |
| Group      | `external_id`  | The external id, if it exists |

### 1Password Setup

Before adding the integration to Veza, you will need a token to make authenticated requests on the 1Password SCIM Bridge configured for provisioning users from an identity provider. To use your current 1Password SCIM bridge:

1. Find the SCIM bridge bearer token. Note that this varies from a 1Password bearer token, and is saved when configuring the SCIM bridge. If you are unable to locate your current SCIM bridge bearer token, you will need to redeploy to create another one:
   1. [Visit the Integrations page](https://start.1password.com/integrations/provisioning) and click **Regenerate Credentials**.
   2. [Redeploy the SCIM bridge](https://support.1password.com/scim/#step-1-set-up-and-deploy-1password-scim-bridge).
2. Copy the SCIM Bridge Bearer Token.
3. Identify and copy the SCIM Bridge public DNS record URL e.g. (`scim.example.com`).

Use the bearer token and SCIM Bridge URL to enable the integration on your Veza platform.

### Veza Setup

To enable Veza to gather data from 1Password, complete the following steps:

1. In Veza, open the **Integrations** page..
2. In the main pane, click **Add Integration**. Pick **1Password** as the integration to add.
3. Complete the required fields:
   1. **Bearer Token:** The SCIM Bridge bearer token.
   2. **SCIM Bridge URL**: The 1Password SCIM bridge Public DNS record.
4. Click **Save** to enable the integration.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.veza.com/4yItIzMvkpAvMVFAamTf/integrations/integrations/1password.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
